Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.configuration.impl
Class FaceExtendsAttributeParser

    java.lang.Object
      com.pietschy.command.configuration.impl.FaceAttributeParser
          com.pietschy.command.configuration.impl.FaceExtendsAttributeParser

     class FaceExtendsAttributeParser

extends FaceAttributeParser

Face parser for handling the "extends" property.

Constructor Summary
`FaceExtendsAttributeParser()` Creates a new instance.

Method Summary
`void` | `parseEmptyImpl(java.lang.String property, Face face, ExceptionFactory factory)` Invokes `Face.setExtendsContext(String)` with `null`.
`protected void` | `parseImpl(java.lang.String property, java.lang.String value, Face face, ExceptionFactory factory)` Invokes `Face.setExtendsContext(String)` with the specified value.

Methods inherited from class com.pietschy.command.configuration.impl.FaceAttributeParser
`getProperties, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FaceExtendsAttributeParser

    public FaceExtendsAttributeParser()

  Creates a new instance.

Method Detail

### parseImpl

    protected void parseImpl(java.lang.String property,
                             java.lang.String value,
                             Face face,
                             ExceptionFactory factory)

  Invokes `Face.setExtendsContext(String)` with the specified value.

  Specified by:
    `parseImpl` in class `FaceAttributeParser`
  Parameters:
    `property` - ignored.
    `value` - the context to extend.
    `face` - the face to update.
    `factory` - the exception factory.

### parseEmptyImpl

    public void parseEmptyImpl(java.lang.String property,
                               Face face,
                               ExceptionFactory factory)

  Invokes `Face.setExtendsContext(String)` with `null`.

  Specified by:
    `parseEmptyImpl` in class `FaceAttributeParser`
  Parameters:
    `property` - the extends property key.
    `face` - the face to update.
    `factory` - the exception factory to use.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch